# class KListAction |
Definition | `#include <kaction.h>`
Inherits | KSelectAction [public ]
Inherited by | KRecentFilesAction
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KListAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KListAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KListAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KListAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KListAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KListAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KListAction ( QObject* parent = 0, const char* name = 0 )
- virtual ~KListAction ()
- virtual QString currentText () const
- virtual int currentItem () const

#### Public Slots

- virtual void setCurrentItem ( int index )
- virtual void setCurrentItem (int a, int b)

## Detailed Description

KListAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KListAction

Construct a list action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing.

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KListAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KListAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KListAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KListAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KListAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KListAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KListAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KListAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KListAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KListAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KListAction ( QObject* parent = 0, const char* name = 0 ) | ### KListAction

Parameters:

parent | This action's parent.
name | An internal name for this action.

~KListAction () | ### ~KListAction

[virtual]

Destructor

QString currentText () | ### currentText

[const virtual]

Reimplemented from KSelectAction.

int currentItem () | ### currentItem

[const virtual]

Reimplemented from KSelectAction.

void setCurrentItem ( int index ) | ### setCurrentItem

[virtual slot]

Sets the currently checked item.

Parameters:

index | Index of the item (remember the first item is zero).

Reimplemented from KSelectAction.

void setCurrentItem (int a, int b) | ### setCurrentItem

[virtual slot]

Reimplemented from KSelectAction.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.